Bug 972255 - Changes to Membership and Ownership should not be allowed for LDAP groups
Changes to Membership and Ownership should not be allowed for LDAP groups
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
develop
Unspecified Unspecified
low Severity low (vote)
: 0.13
: ---
Assigned To: Amit Saha
Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 22:24 EDT by xjia
Modified: 2018-02-05 19:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 02:26:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-06-07 22:24:29 EDT
Description of problem:
Create a group with --ldap option. It should be told "Can't add member to ldap group" when add another user who is not in this ldap group. 

Version-Release number of selected component (if applicable):
0.13

How reproducible:
Always

Steps to Reproduce:
1.bkr group-create --ldap gpei  --display-name="gpei11"
2.bkr group-modify --add-member="xjia" gpei
3.bkr group-members gpei

Actual results:
[root@beaker-2 ~]# bkr group-members gpei
[{"username": "xjia", "owner": false, "email": "xjia@redhat.com"}, {"username": "gpei", "owner": false, "email": "gpei@redhat.com"}]


Expected results:
Should not allow to add extra member to this group. 

Additional info:
It works properly via website.
Comment 1 Amit Saha 2013-06-10 10:32:13 EDT
Patch on gerrit: http://gerrit.beaker-project.org/#/c/2021/1

Thanks for catching this!
Comment 4 Dan Callaghan 2013-06-12 21:08:49 EDT
Verified:

$ bkr group-modify --remove-member=asaha beakerdevs
XML-RPC fault: <class 'bkr.common.bexceptions.BX'>:u'Cannot edit membership of an LDAP group'
$ bkr group-modify --add-member=jfearn beakerdevs
XML-RPC fault: <class 'bkr.common.bexceptions.BX'>:u'Cannot edit membership of an LDAP group'
Comment 6 Amit Saha 2013-06-25 02:26:37 EDT
Beaker 0.13.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.